org.eclipse.viatra.transformation.evm.specific.crud

## Enum CRUDEventTypeEnum

- java.lang.Object
- - java.lang.Enum<CRUDEventTypeEnum>
  - - org.eclipse.viatra.transformation.evm.specific.crud.CRUDEventTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CRUDEventTypeEnum>, EventType

      public enum CRUDEventTypeEnum
      extends java.lang.Enum<CRUDEventTypeEnum>
      implements EventType

  This enumeration defines the set of events noticed by EVM given a CRUD (Create/Read/Update/Delete) operation set.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.transformation.evm.api.event.EventType

      `EventType.DynamicEventType, EventType.RuleEngineEventType`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `DELETED`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CRUDEventTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CRUDEventTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final CRUDEventTypeEnum CREATED

    - #### DELETED

          public static final CRUDEventTypeEnum DELETED

    - #### UPDATED

          public static final CRUDEventTypeEnum UPDATED

  - ### Method Detail

    - #### values

          public static CRUDEventTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CRUDEventTypeEnum c : CRUDEventTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CRUDEventTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null